# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Exporter.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-File-ShareDir-PAR
Version:        0.06
Release:        alt1_10
Summary:        File::ShareDir with PAR support
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/File-ShareDir-PAR/
Source0:        http://www.cpan.org/authors/id/S/SM/SMUELLER/File-ShareDir-PAR-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Class/Inspector.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/ShareDir.pm)
BuildRequires:  perl(PAR.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(File/ShareDir.pm) >= 1.02
Requires:       perl(PAR.pm) >= 0.989

# RPM 4.8 style:
%filter_from_requires /perl.File.ShareDir.pm.$/d

# RPM 4.9 style

Source44: import.info

%description
File::ShareDir::PAR provides the same functionality as File::ShareDir but
tries hard to be compatible with PAR packaged applications.

%prep
%setup -q -n File-ShareDir-PAR-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
rm -rf $RPM_BUILD_ROOT/blib/lib/auto/share/dist/File-ShareDir-PAR/
rm -rf $RPM_BUILD_ROOT/blib/lib/auto/share/module/File-ShareDir-PAR/test_file.txt
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE
%{perl_vendor_privlib}/File/ShareDir
%{perl_vendor_privlib}/auto/share/*/File-ShareDir-PAR

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_10
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_9
- update to new release by fcimport

* Mon May 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_7
- fc import

